Bug 607507 - Reported file is deleted locally after reporting by report
Summary: Reported file is deleted locally after reporting by report
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report   
(Show other bugs)
Version: 6.0
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Gavin Romig-Koch
QA Contact: David Kutálek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 09:41 UTC by David Kutálek
Modified: 2010-11-10 21:29 UTC (History)
1 user (show)

Fixed In Version: report-0.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:29:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Kutálek 2010-06-24 09:41:32 UTC
Description of problem:

This is new behaviour in report-0.16-1.el6.
After reporting (sending) the file chosen, report deletes it locally.
1) it is not expected and preferred behaviour imho
2) This change/behaviour is not documented in changelog/man page.
Therefore, this is a buggy behaviour or documentation bug.

-----
[root@timothy plugins-basic]# echo 'This is a simple dummy report for testing purposes.' > ./dummy-report.txt
[root@timothy plugins-basic]# ls -l ./dummy-report.txt 
-rw-r--r--. 1 root root 52 Jun 24 11:32 ./dummy-report.txt
[root@timothy plugins-basic]# report ./dummy-report.txt 


Where do you want to send this report:
1: ftp
2: localsave
3: RHEL-bugzilla.redhat.com
4: scp
0: cancel
Choice (0-4): 2

directory to store report in: /tmp

local save Successful
The signature was successfully copied to:
/tmp/dummy-report.txt
[root@timothy plugins-basic]# ls -l ./dummy-report.txt 
ls: cannot access ./dummy-report.txt: No such file or directory

[root@timothy plugins-basic]# echo 'This is a simple dummy report for testing purposes.' > ./dummy-report.txt
[root@timothy plugins-basic]# ls -l ./dummy-report.txt 
-rw-r--r--. 1 root root 52 Jun 24 11:33 ./dummy-report.txt
[root@timothy plugins-basic]# report ./dummy-report.txt 


Where do you want to send this report:
1: ftp
2: localsave
3: RHEL-bugzilla.redhat.com
4: scp
0: cancel
Choice (0-4): 2

directory to store report in: /var/tmp 

local save Successful
The signature was successfully copied to:
/var/tmp/dummy-report.txt
[root@timothy plugins-basic]# ls -l ./dummy-report.txt 
ls: cannot access ./dummy-report.txt: No such file or directory
-----

Version-Release number of selected component (if applicable):

report-0.16-1.el6

How reproducible:

Always with localsave, other plugins not tested yet.

Steps to Reproduce:
1. see shell log above
  
Actual results:

Local file is deleted.

Expected results:

Local file is not deleted (as used to be before) or this behaviour is documented. I would recommend not deleting reported file.

Additional info:

Comment 1 RHEL Product and Program Management 2010-06-24 09:53:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Gavin Romig-Koch 2010-06-25 02:51:06 UTC
fixed in fedora hosted src repo

Comment 6 releng-rhel@redhat.com 2010-11-10 21:29:40 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.